
Ceph - Bug #9085

erasure-code: ISA plugin does not load

08/12/2014 09:20 AM - Loïc Dachary

Status: Resolved % Done: 100%

Priority: High Spent time: 0.00 hour

Assignee: Loïc Dachary   

Category: OSD   

Target version: 0.85 cont.   

Source: other Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Because the plugin was not compiled with ErasureCode.cc

History

#1 - 08/12/2014 09:46 AM - Loïc Dachary

- Status changed from In Progress to Fix Under Review

need review

#2 - 08/12/2014 09:46 AM - Loïc Dachary

- % Done changed from 0 to 80

#3 - 08/12/2014 01:26 PM - Sage Weil

- Priority changed from Normal to High

#4 - 08/12/2014 02:34 PM - Sage Weil

- Status changed from Fix Under Review to Pending Backport

#5 - 08/13/2014 07:23 AM - Loïc Dachary

- Status changed from Pending Backport to Resolved

- % Done changed from 80 to 100

The isa plugin wip-firefly-isa does not have the bug. It was introduced later, when the ISA plugin was made to use the new ErasureCode base class .
https://github.com/ceph/ceph/pull/2245
https://github.com/ceph/ceph/tree/wip-firefly-isa
https://github.com/ceph/ceph/commit/4ff981f4d66bc915e82d91a8d2946d6861089df8#diff-20215b427d9b186783e3f421824e2538R30
